Holger's Java API

## com.antelmann.db
Interface ArchivedStore<T>

All Known Implementing Classes:
  ArchiveDBClassStore

    @Todo
    public interface ArchivedStore<T>

allows to control the archive option of a supporting `DBClassStore`

Since:
  01.09.2011, 09:51:31
Author:
  Holger Antelmann

Method Summary
`boolean` `isArchiveEnabled()` if true, each data access call also reaches through to the embedded archived store
`boolean` `isEnableArchiveEdit()`
`int` `moveToArchive(Filter<? super T> filter)` requires transactional context on both stores
`void` `setArchiveEnabled(boolean flag)` if set to true, each data access call also reaches through to the embedded archived store
`void` `setEnableArchiveEdit(boolean flag)` if set to true, delete and update operations are propagated to the archive (insertions will always only affect the 'normal' store).

Method Detail

### isArchiveEnabled

    boolean isArchiveEnabled()

  if true, each data access call also reaches through to the embedded archived store

### setArchiveEnabled

    void setArchiveEnabled(boolean flag)

  if set to true, each data access call also reaches through to the embedded archived store

### isEnableArchiveEdit

    boolean isEnableArchiveEdit()

  See Also:
    `setEnableArchiveEdit(boolean)`

### setEnableArchiveEdit

    void setEnableArchiveEdit(boolean flag)

  if set to true, delete and update operations are propagated to the archive (insertions will always only affect the 'normal' store). Read operations are dependent on `isArchiveEnabled()`.

### moveToArchive

    int moveToArchive(Filter<? super T> filter)
                      throws DatabaseException

  requires transactional context on both stores

  Throws:
    `DatabaseException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads